void info() {
  Serial.println("### mBot-serial-steuern.ino ###");
  Serial.println("###       2024-12-07        ###");
}
void hilfe() {
  ausgabe("### mBot-serial-steuern.ino ###");
  ausgabe("###       2024-12-07        ###");
  ausgabe("###       Hilfe             ###");
  String msg="";
  // //              1         2         3         4         5         6
  // //     123456789012345678901234567890123456789012345678901234567890 - 60 Zeichen max 255 Zeichen;
  msg+= "h           -     Hilfe über Seriellen Monitor ausgeben\n";
  msg+= "i           -     Programminfo über Seriellen Monitor ausgeben\n";
  msg = "m           -     Motor halt\n";
  msg+= "m 111       -     Motor links und rechts mit 111 von 255  \n";
  ausgabe(msg);
  // !!!!   Das Erweitern der Hilfe bringt Ärger !!!!!!!!!!
  // msg = "m 111 -222  -     Motor links mit 111 und rechts mit -222 \n";
  // msg+= "p           -     Summer an für 100 ms mit 600 Hz        \n";
  // msg+= "t           -     Ausgabe der Zeit in mm:ss auf der LED-Matrix\n";
  // msg+= "x           -     LED-Matrix löschen\n";
  // Serial.println(msg);
  // msg = "x txt       -     LED-Matrix: txt ausgeben\n";
  // msg+= "x zahl       -    LED-Matrix: zahl ausgeben\n";
  // Serial.println(msg);
}
void ausgabe(String txt) {
  if (ausgabe_erlauben) Serial.println(txt);
}

void sende_seriell(String text) {
  Serial.println(text);
}
void messwerte(){
    linie = lineFinder.readSensors();
    helligkeit = lightSensor.read();
    entfernung = ultrasonic.distanceCm(); // Distance value from 3cm - 400cm
    // Wait 50 ms before next measurement
    char buffer[60];
    sprintf(buffer, "%d,%d,%d", linie, helligkeit, entfernung);
    ausgabe(buffer);
    String text = buffer;
    sende_seriell(text);
}
void string_to_array(String str) {
  strs_length = 0;
  while (str.length() > 0)  {
    int index = str.indexOf(' ');
    if (strs_length == max_strs) {
      ausgabe("Fehler: Parameterzahl zu gross");
      break;
    } else if (index == -1)  { // No;space found
      strs[strs_length++] = str;
      break;
    } else {
      strs[strs_length++] = str.substring(0, index);
      str = str.substring(index+1);
    }
  }
}
void zeit_ausgeben() {
  unsigned long jetzt = millis()/1000;
  byte sekunden = jetzt%60;    jetzt = jetzt/60;
  byte minuten  = jetzt%60;
  ledMx.showClock(minuten,sekunden,0); // zeigt nur 12:34
  ausgabe("aktuelle Zeit: " +  String(minuten) + ":"+String(sekunden));
}